.menu {
    background: var(--color-bg-panel);
}

    .menu ol {
        list-style-type: none;
        margin: 0 auto;
        padding: 0;
    }

    .menu > ol {
        max-width: 1000px;
        padding: 0 2rem;
        display: flex;
    }

        .menu > ol > .menu-item {
            flex: 1;
            padding: 0.75rem 0;
            max-width: 156px;
        }

            .menu > ol > .menu-item:after {
                content: "";
                position: absolute;
                width: 4px;
                height: 4px;
                border-radius: 50%;
                bottom: 5px;
                left: calc(50% - 2px);
                background: #727272;
                will-change: transform;
                transform: scale(0);
                transition: transform 0.2s ease;
            }

            .menu > ol > .menu-item:hover:after {
                transform: scale(1);
            }

.menu-item {
    position: relative;
    line-height: 2.5rem;
    text-align: center;
}

    .menu-item a {
        overflow: hidden;
        white-space: break-spaces;
        text-overflow: ellipsis;
        display: block;
        color: #000;
        font-family: "Segoe UI";
    }

.sub-menu .menu-item {
    padding: 0.75rem 0;
    opacity: 0;
    transform-origin: bottom;
    animation: enter 0.2s ease forwards;
}

    /*.sub-menu .menu-item:nth-child(1) {
        animation-duration: 0.2s;
        animation-delay: 0s;
    }

    .sub-menu .menu-item:nth-child(2) {
        animation-duration: 0.3s;
        animation-delay: 0.1s;
    }

    .sub-menu .menu-item:nth-child(3) {
        animation-duration: 0.4s;
        animation-delay: 0.2s;
    }
    .sub-menu .menu-item:nth-child(4) {
        animation-duration: 0.45s;
        animation-delay: 0.3s;
    }
    .sub-menu .menu-item:nth-child(5) {
        animation-duration: 0.6s;
        animation-delay: 0.4s;
    }*/

    .sub-menu .menu-item:hover {
        background: #EFF1F6 0% 0% no-repeat padding-box;
    }

    .sub-menu .menu-item a {
        padding: 0 0.75rem;
    }

.sub-menu {
    background: #FFFFFF 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 20px #8080803D;
    border: 1px solid #DCDCDC;
    position: absolute;
    width: 180px;
    top: 100%;
    left: 0;
    display: none;
    z-index: 2;
}

.menu-item:hover > .sub-menu {
    display: block;
}

* {
    box-sizing: border-box;
}

    *:before, *:after {
        box-sizing: inherit;
    }

a {
    text-decoration: none;
}

@keyframes enter {
    from {
        opacity: 0;
        transform: scaleY(0.98) translateY(10px);
    }

    to {
        opacity: 1;
        transform: none;
    }
}

@keyframes fade {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}
